D4Science Infrastructure - Task #9850

dm-pool-manager: Provide new instruction for ansible role
Sep 28, 2017 12:25 PM - Roberto Cirillo

Status: Closed Start date: Sep 28, 2017
Priority: Urgent Due date:

Assignee: Nunzio Andrea Galante % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Pre-Production, Production

Description

In order to deploy the new version of dm-pool-manager service in preproduction environment, it's needed to update the ansible role if
the service configuration is changed.
If the service configuration is the same as the last version, you can close this ticket.

Related issues:
Blocks D4Science Infrastructure - Upgrade #9824: /gcube/preprod upgrade to gC... Completed Sep 28,2017 Sep 28, 2017

History

#1 - Sep 28, 2017 12:26 PM - Roberto Cirillo
- Blocks Upgrade #9824: /gcube/preprod upgrade to gCube 4.7.0 added

#2 - Sep 28, 2017 07:23 PM - Nunzio Andrea Galante
The configuration remains the same, apart two aspects:
¢ The configuration file has changed and actually is:

#YML node file
SVN_REPO = https://svn.d4science.research-infrastructures.eu/gcube/trunk/data-analysis/RConfiguration/RPackagesManagement/

svn.repository = https://svn.d4science.research-infrastructures.eu/gcube
svn.algo.main.repo = /trunk/data-analysis/DataMinerConfiguration/algorithms

#STAGE
STAGE_GHOST = dataminer-ghost-d.dev.d4science.org
svn.stage.algorithms-list = /trunk/data-analysis/DataMinerConfiguration/algorithms/dev/algorithms

svn.stage.deps-linux-compiled = /trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs.txt
svn.stage.deps-pre-installed = /trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs.txt
svn.stage.deps-r-blackbox = /trunk/data-analysis/RConfiguration/RPackagesManagement/r_cran_pkgs.txt
svn.stage.deps-r = /trunk/data-analysis/RConfiguration/RPackagesManagement/r_cran_pkgs.txt
svn.stage.deps-java =

svn.stage.deps-knime-workflow =

svn.stage.deps-octave =

svn.stage.deps-python =

svn.stage.deps-windows-compiled =*

#PROD
svn.prod.algorithms-list = /trunk/data-analysis/DataMinerConfiguration/algorithms/prod/algorithms

¢ The web.xml file containing the parameter related to the environmnet in which the service works, has not to be touched anymore cause such
information is extracted directly from the configuration file.

The version to consider is the dataminer-pool-manager.2.1.0-4.7.0-154360
#3 - Sep 29, 2017 11:32 AM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from Nunzio Andrea Galante to Roberto Cirillo

#4 - Sep 29, 2017 12:27 PM - Roberto Cirillo
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100
https://svn.d4science.research-infrastructures.eu/gcube/trunk/data-analysis/RConfiguration/RPackagesManagement/
https://svn.d4science.research-infrastructures.eu/gcube

The new service has been upgraded in preproduction environment with the new settings. Please, let me know if it works well.

#5 - Sep 29, 2017 12:28 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Nunzio Andrea Galante
#6 - Sep 29, 2017 12:55 PM - Nunzio Andrea Galante
It works fine.

Thanks Roberto.

#7 - Sep 29, 2017 02:41 PM - Roberto Cirillo
- Status changed from Feedback to Closed
